CUTLASS: cutlass::epilogue::warp::TensorOpPolicy< WarpShape, OperatorShape, layout::ColumnMajorInterleaved< InterleavedK > > Struct Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Attributes | List of all members
cutlass::epilogue::warp::TensorOpPolicy< WarpShape, OperatorShape, layout::ColumnMajorInterleaved< InterleavedK > > Struct Template Reference

Partial specialization for column-major-interleaved.

`#include <tensor_op_policy.h>`

## Public Types
using | OperatorCount = MatrixShape< WarpShape::kM/OperatorShape::kM, WarpShape::kN/OperatorShape::kN >
| Number of operations. More...

## Static Public Attributes
static int const | kElementsPerAccess = 2
static int const | kRowsPerIteration = 8
static int const | kIterationsPerInstruction
static int const | kIterations

## Member Typedef Documentation

template<typename WarpShape , typename OperatorShape , int InterleavedK>

using cutlass::epilogue::warp::TensorOpPolicy< WarpShape, OperatorShape, layout::ColumnMajorInterleaved< InterleavedK > >::OperatorCount = MatrixShape<WarpShape::kM / OperatorShape::kM, WarpShape::kN / OperatorShape::kN>

## Member Data Documentation

template<typename WarpShape , typename OperatorShape , int InterleavedK>

int const cutlass::epilogue::warp::TensorOpPolicy< WarpShape, OperatorShape, layout::ColumnMajorInterleaved< InterleavedK > >::kElementsPerAccess = 2
| static

template<typename WarpShape , typename OperatorShape , int InterleavedK>

int const cutlass::epilogue::warp::TensorOpPolicy< WarpShape, OperatorShape, layout::ColumnMajorInterleaved< InterleavedK > >::kIterations
| static

Initial value:
= WarpShape::kN / InterleavedK *
OperatorCount::kRow *
kIterationsPerInstruction
template<typename WarpShape , typename OperatorShape , int InterleavedK>

int const cutlass::epilogue::warp::TensorOpPolicy< WarpShape, OperatorShape, layout::ColumnMajorInterleaved< InterleavedK > >::kIterationsPerInstruction
| static

Initial value:
=
OperatorShape::kM / kRowsPerIteration
template<typename WarpShape , typename OperatorShape , int InterleavedK>

int const cutlass::epilogue::warp::TensorOpPolicy< WarpShape, OperatorShape, layout::ColumnMajorInterleaved< InterleavedK > >::kRowsPerIteration = 8
| static

The documentation for this struct was generated from the following file:

- tensor_op_policy.h